API ReferenceDTS root CA certificates
Retrieve all DTS root CA certificates
GET
Retrieves all DTS root CA certificates.
Roles
admindts-providercertificate-manager
Analytics Events
ECOSYSTEM_DTS_CA_CERTIFICATE_RETRIEVE_LIST_STARTECOSYSTEM_DTS_CA_CERTIFICATE_RETRIEVE_LIST_SUCCESSECOSYSTEM_DTS_CA_CERTIFICATE_RETRIEVE_LIST_FAIL
bearerAuthheader
AuthorizationBearer <token>limit?numberRange size of returned list.
Range
1 <= value <= 1000Default
100cursor?stringStarting point for the list of entries.
DTS root CA certificates retrieved
application/json- response
data?array<>nextCursor?nextCursorStarting point for next cursor to use in a paginated list.
curl -X GET 'https://example.vii.au01.mattr.global/v1/ecosystems/certificates/ca'{ "data": [ { "id": "782f1885-c7c2-4459-8426-b6d7c111b0b1", "active": true, "certificatePem": "-----BEGIN CERTIFICATE-----\nMIIDXTCCAkWgAwIBAgIJAL5...\n-----END CERTIFICATE-----", "certificateFingerprint": "f6cad6e579d70b3973efa60624af731a580d1a11a7579e70f2f10f059dc86172", "certificateData": { "commonName": "example.com", "country": "US", "organisationName": "Example Inc.", "notAfter": "2024-10-22T00:00:00Z", "notBefore": "2023-10-22T00:00:00Z" }, "isManaged": true, "useIntermediateCa": true } ], "nextCursor": "Y3JlYXRlZEF0PTIwMjAtMDgtMjVUMDY6NDY6MDkuNTEwWiZpZD1hNjZmZmVhNS04NDhlLTQzOWQtODBhNC1kZGE1NWY1M2UzNmM"}How would you rate this page?